AtteanX::Parser::Turtle::Token(3pm)

NAME
AtteanX::Parser::Turtle::Token - Token objects used for parsing of Turtle

VERSION
This document describes AtteanX::Parser::Turtle::Token version 0.019

SYNOPSIS
  use v5.14;
  use Attean;
  my $term = Attean::Blank->new('b1');
  $term->ntriples_string; # _:b1

DESCRIPTION
The AtteanX::Parser::Turtle::Token class represents tokens produced and used during parsing of Turtle.

ATTRIBUTES

"type"
    An integer indicating the token type, defined in AtteanX::Parser::Turtle::Constants

"start_line"
    The line number in the source text that this token begins on.

"start_column"
    The column number in the source text that this token begins on.

"line"
    The line number in the source text that this token ends on.

"column"
    The column number in the source text that this token ends on.

"args"
    An array of values associated with the token (e.g. the integer value of an INT token).

METHODS

"value"
    Returns the token value.

"fast_constructor ( $type, $start_line, $start_col, $line, $col, \@args )"
    Returns a new token object.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.